Summary: Stuttgart Neural Network Simulator
Name: SNNS
Version: 4.1
Release: 2
Copyright: Free Software
Group: X11/Simulation
%define ftppath ftp://ftp.informatik.uni-stuttgart.de/pub/SNNS
Source: %{ftppath}/SNNSv%{PACKAGE_VERSION}.tar.gz
Source2: %{ftppath}/SNNSv%{PACKAGE_VERSION}.Manual.ps.gz
Source3: %{ftppath}/SNNSinfo-1.03.tar.gz
Patch1: SNNS-config.diff
Patch2: SNNS-XGUILOADPATH.diff
BuildRoot: /tmp/SNNS-root
# Packager: Ngo Than <than@delix.de>
Packager: David Kuestler <kuestler@zeta.org.au>

%description
SNNS (Stuttgart Neural Network Simulator)

%package doc
Summary: SNNS-Documentation
Group: X11/Simulation
%description doc
There is documentation in both html and Postscript formats.

%prep
%setup -n SNNSv4.1
%patch1 -p1
%patch2 -p1

%build
make -C kernel/sources
make -C tools/sources
make -C xgui/sources

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/SNNS/{kernel,tools,xgui}/bin/pc_linux
mkdir -p $RPM_BUILD_ROOT/usr/{X11R6/bin,lib/SNNS/examples}

make -C kernel/sources DESTDIR=$RPM_BUILD_ROOT install
make -C xgui/sources DESTDIR=$RPM_BUILD_ROOT install
make -C tools/sources DESTDIR=$RPM_BUILD_ROOT install

cp -af help.hdoc default.cfg examples $RPM_BUILD_ROOT/usr/lib/SNNS
gzip -9qnf Readme*

chown -R root.root $RPM_BUILD_ROOT/usr/lib/SNNS

cd $RPM_BUILD_ROOT/usr/X11R6/bin
rm -f xgui snns
ln -s ../../lib/SNNS/xgui/bin/pc_linux/xgui xgui
ln -s xgui snns

cd $RPM_BUILD_ROOT/usr/lib/SNNS/tools/bin/pc_linux
for n in *; do \
	( cd $RPM_BUILD_ROOT/usr/X11R6/bin; rm -f $n; ln -s ../../lib/SNNS/tools/bin/pc_linux/$n $n ); \
done

cd $RPM_BUILD_ROOT/usr/lib/SNNS
tar zopxf $RPM_SOURCE_DIR/SNNSinfo-1.03.tar.gz
rm -rf SNNSinfo/UserManual.ps SNNSinfo/Icons/.xvpics
cp -f $RPM_SOURCE_DIR/SNNSv%{PACKAGE_VERSION}.Manual.ps.gz SNNSinfo
chown -R root.root SNNSinfo

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/SNNSv4.1

%files
%doc Readme* 
%config /usr/lib/SNNS/default.cfg
%dir /usr/lib/SNNS
%dir /usr/lib/SNNS/tools
%dir /usr/lib/SNNS/tools/bin
%dir /usr/lib/SNNS/tools/bin/pc_linux
%dir /usr/lib/SNNS/kernel
%dir /usr/lib/SNNS/kernel/bin
%dir /usr/lib/SNNS/kernel/bin/pc_linux
%dir /usr/lib/SNNS/xgui
%dir /usr/lib/SNNS/xgui/bin
%dir /usr/lib/SNNS/xgui/bin/pc_linux
/usr/X11R6/bin/*
/usr/lib/SNNS/help.hdoc
/usr/lib/SNNS/kernel/bin/pc_linux/*
/usr/lib/SNNS/tools/bin/pc_linux/*
/usr/lib/SNNS/xgui/bin/pc_linux/*
/usr/lib/SNNS/examples

%files doc
%docdir /usr/lib/SNNS/SNNSinfo
%doc /usr/lib/SNNS/SNNSinfo/*
